-- Copyright (C) 1991-2008 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 8.1 Build 163 10/28/2008 SJ Web Edition"

-- DATE "01/01/2012 17:40:48"

-- 
-- Device: Altera EP3C16F484C6 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneiii;
LIBRARY altera;
USE IEEE.std_logic_1164.all;
USE altera.altera_primitives_components.all;
USE cycloneiii.cycloneiii_components.all;

ENTITY 	Transmitter_unit IS
    PORT (
	CLK : IN std_logic;
	CD : IN std_logic;
	TX_IN : IN std_logic_vector(7 DOWNTO 0);
	ST : IN std_logic;
	Enable_TX : IN std_logic;
	ET : OUT std_logic;
	Serial_out : OUT std_logic
	);
END Transmitter_unit;

ARCHITECTURE structure OF Transmitter_unit IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_CLK : std_logic;
SIGNAL ww_CD : std_logic;
SIGNAL ww_TX_IN : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_ST : std_logic;
SIGNAL ww_Enable_TX : std_logic;
SIGNAL ww_ET : std_logic;
SIGNAL ww_Serial_out : std_logic;
SIGNAL \CLK~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CD~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Chip2|Chip5|y~124_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_1~80_combout\ : std_logic;
SIGNAL \Chip2|Chip3|present_state[1]~92_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[3]~496_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[4]~497_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[5]~498_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[6]~499_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[7]~500_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[8]~501_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[9]~502_combout\ : std_logic;
SIGNAL \Enable_TX~input_o\ : std_logic;
SIGNAL \CLK~input_o\ : std_logic;
SIGNAL \TX_IN[2]~input_o\ : std_logic;
SIGNAL \TX_IN[7]~input_o\ : std_logic;
SIGNAL \TX_IN[6]~input_o\ : std_logic;
SIGNAL \TX_IN[5]~input_o\ : std_logic;
SIGNAL \TX_IN[4]~input_o\ : std_logic;
SIGNAL \CLK~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[5]~feeder_combout\ : std_logic;
SIGNAL \ET~output_o\ : std_logic;
SIGNAL \Serial_out~output_o\ : std_logic;
SIGNAL \Chip2|Chip3|present_state[0]~93_combout\ : std_logic;
SIGNAL \CD~input_o\ : std_logic;
SIGNAL \CD~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip1|present_state.Send_D0~14_combout\ : std_logic;
SIGNAL \Chip2|Chip3|present_state[2]~91_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~197_combout\ : std_logic;
SIGNAL \ST~input_o\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_3~15_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_3~q\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~198_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~199_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~200_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~q\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_2~71_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_2~q\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_1~81_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_1~q\ : std_logic;
SIGNAL \Chip1|present_state.Send_Stop_bit~25_combout\ : std_logic;
SIGNAL \TX_IN[0]~input_o\ : std_logic;
SIGNAL \Chip1|present_state.Load_Data_Reg~14_combout\ : std_logic;
SIGNAL \Chip1|present_state.Load_Shift_Reg~14_combout\ : std_logic;
SIGNAL \Chip2|Chip4|future_state[2]~495_combout\ : std_logic;
SIGNAL \Chip2|Chip4|present_state[2]~71_combout\ : std_logic;
SIGNAL \TX_IN[1]~input_o\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[1]~feeder_combout\ : std_logic;
SIGNAL \TX_IN[3]~input_o\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[3]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip5|y~123_combout\ : std_logic;
SIGNAL \Chip2|Chip5|y~125_combout\ : std_logic;
SIGNAL \Chip2|Chip5|y~126_combout\ : std_logic;
SIGNAL \Chip2|Chip4|present_state\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \Chip2|Chip3|present_state\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \Chip2|Chip1|present_state\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \ALT_INV_CD~inputclkctrl_outclk\ : std_logic;

BEGIN

ww_CLK <= CLK;
ww_CD <= CD;
ww_TX_IN <= TX_IN;
ww_ST <= ST;
ww_Enable_TX <= Enable_TX;
ET <= ww_ET;
Serial_out <= ww_Serial_out;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLK~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CLK~input_o\);

\CD~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CD~input_o\);
\ALT_INV_CD~inputclkctrl_outclk\ <= NOT \CD~inputclkctrl_outclk\;

\Chip2|Chip1|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[2]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(2));

\Chip2|Chip1|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[7]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(7));

\Chip2|Chip1|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[6]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(6));

\Chip2|Chip1|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[5]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(5));

\Chip2|Chip1|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[4]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(4));

\Chip2|Chip5|y~124\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|y~124_combout\ = \Chip2|Chip1|present_state\(7) $ \Chip2|Chip1|present_state\(5) $ \Chip2|Chip1|present_state\(4) $ !\Chip2|Chip1|present_state\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(7),
	datab => \Chip2|Chip1|present_state\(5),
	datac => \Chip2|Chip1|present_state\(4),
	datad => \Chip2|Chip1|present_state\(6),
	combout => \Chip2|Chip5|y~124_combout\);

\Chip2|Chip3|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip3|present_state[1]~92_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|present_state\(1));

\Chip1|present_state.state_bit_1~80\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_1~80_combout\ = \Chip2|Chip3|present_state\(1) & \Chip2|Chip3|present_state\(2) & \Chip2|Chip3|present_state\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|present_state\(1),
	datab => \Chip2|Chip3|present_state\(2),
	datad => \Chip2|Chip3|present_state\(0),
	combout => \Chip1|present_state.state_bit_1~80_combout\);

\Chip2|Chip4|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[3]~496_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|Chip4|present_state[2]~71_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(3));

\Chip2|Chip3|present_state[1]~92\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|present_state[1]~92_combout\ = \Chip2|Chip3|present_state\(1) $ (\Chip1|present_state.state_bit_2~q\ & !\Chip1|present_state.state_bit_1~q\ & \Chip2|Chip3|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_2~q\,
	datab => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip2|Chip3|present_state\(1),
	datad => \Chip2|Chip3|present_state\(0),
	combout => \Chip2|Chip3|present_state[1]~92_combout\);

\Chip2|Chip4|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[4]~497_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|Chip4|present_state[2]~71_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(4));

\Chip2|Chip4|future_state[3]~496\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[3]~496_combout\ = \Chip1|present_state.Load_Shift_Reg~14_combout\ & (\Chip2|Chip1|present_state\(1)) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip4|present_state\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip4|present_state\(4),
	datac => \Chip2|Chip1|present_state\(1),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[3]~496_combout\);

\Chip2|Chip4|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[5]~498_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|Chip4|present_state[2]~71_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(5));

\Chip2|Chip4|future_state[4]~497\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[4]~497_combout\ = \Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip1|present_state\(2) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & (\Chip2|Chip4|present_state\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(2),
	datac => \Chip2|Chip4|present_state\(5),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[4]~497_combout\);

\Chip2|Chip4|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[6]~499_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|Chip4|present_state[2]~71_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(6));

\Chip2|Chip4|future_state[5]~498\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[5]~498_combout\ = \Chip1|present_state.Load_Shift_Reg~14_combout\ & (\Chip2|Chip1|present_state\(3)) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip4|present_state\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip4|present_state\(6),
	datab => \Chip2|Chip1|present_state\(3),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[5]~498_combout\);

\Chip2|Chip4|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[7]~500_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|Chip4|present_state[2]~71_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(7));

\Chip2|Chip4|future_state[6]~499\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[6]~499_combout\ = \Chip1|present_state.Load_Shift_Reg~14_combout\ & (\Chip2|Chip1|present_state\(4)) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip4|present_state\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip4|present_state\(7),
	datac => \Chip2|Chip1|present_state\(4),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[6]~499_combout\);

\Chip2|Chip4|present_state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[8]~501_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|Chip4|present_state[2]~71_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(8));

\Chip2|Chip4|future_state[7]~500\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[7]~500_combout\ = \Chip1|present_state.Load_Shift_Reg~14_combout\ & (\Chip2|Chip1|present_state\(5)) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip4|present_state\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip4|present_state\(8),
	datac => \Chip2|Chip1|present_state\(5),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[7]~500_combout\);

\Chip2|Chip4|present_state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[9]~502_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(9));

\Chip2|Chip4|future_state[8]~501\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[8]~501_combout\ = \Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip1|present_state\(6) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & (\Chip2|Chip4|present_state\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(6),
	datac => \Chip2|Chip4|present_state\(9),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[8]~501_combout\);

\Chip2|Chip4|future_state[9]~502\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[9]~502_combout\ = !\Chip1|present_state.Send_D0~14_combout\ & (\Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip1|present_state\(7) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & 
-- (\Chip2|Chip4|present_state\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(7),
	datab => \Chip1|present_state.Send_D0~14_combout\,
	datac => \Chip2|Chip4|present_state\(9),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[9]~502_combout\);

\Enable_TX~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Enable_TX,
	o => \Enable_TX~input_o\);

\CLK~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK,
	o => \CLK~input_o\);

\TX_IN[2]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(2),
	o => \TX_IN[2]~input_o\);

\TX_IN[7]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(7),
	o => \TX_IN[7]~input_o\);

\TX_IN[6]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(6),
	o => \TX_IN[6]~input_o\);

\TX_IN[5]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(5),
	o => \TX_IN[5]~input_o\);

\TX_IN[4]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(4),
	o => \TX_IN[4]~input_o\);

\CLK~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CLK~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLK~inputclkctrl_outclk\);

\Chip2|Chip1|present_state[5]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[5]~feeder_combout\ = \TX_IN[5]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[5]~input_o\,
	combout => \Chip2|Chip1|present_state[5]~feeder_combout\);

\ET~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state.Send_Stop_bit~25_combout\,
	devoe => ww_devoe,
	o => \ET~output_o\);

\Serial_out~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip5|y~126_combout\,
	devoe => ww_devoe,
	o => \Serial_out~output_o\);

\Chip2|Chip3|present_state[0]~93\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|present_state[0]~93_combout\ = \Chip2|Chip3|present_state\(0) $ (\Chip1|present_state.state_bit_2~q\ & !\Chip1|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip2|Chip3|present_state\(0),
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip2|Chip3|present_state[0]~93_combout\);

\CD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD,
	o => \CD~input_o\);

\CD~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CD~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CD~inputclkctrl_outclk\);

\Chip2|Chip3|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip3|present_state[0]~93_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|present_state\(0));

\Chip1|present_state.Send_D0~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.Send_D0~14_combout\ = !\Chip1|present_state.state_bit_1~q\ & \Chip1|present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip1|present_state.state_bit_2~q\,
	combout => \Chip1|present_state.Send_D0~14_combout\);

\Chip2|Chip3|present_state[2]~91\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|present_state[2]~91_combout\ = \Chip2|Chip3|present_state\(2) $ (\Chip2|Chip3|present_state\(1) & \Chip2|Chip3|present_state\(0) & \Chip1|present_state.Send_D0~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|present_state\(1),
	datab => \Chip2|Chip3|present_state\(0),
	datac => \Chip2|Chip3|present_state\(2),
	datad => \Chip1|present_state.Send_D0~14_combout\,
	combout => \Chip2|Chip3|present_state[2]~91_combout\);

\Chip2|Chip3|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip3|present_state[2]~91_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|present_state\(2));

\Chip1|present_state.state_bit_0~197\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~197_combout\ = \Chip1|present_state.state_bit_2~q\ & (!\Chip2|Chip3|present_state\(0) # !\Chip2|Chip3|present_state\(2) # !\Chip2|Chip3|present_state\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|present_state\(1),
	datab => \Chip2|Chip3|present_state\(2),
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip2|Chip3|present_state\(0),
	combout => \Chip1|present_state.state_bit_0~197_combout\);

\ST~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_ST,
	o => \ST~input_o\);

\Chip1|present_state.state_bit_3~15\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_3~15_combout\ = \Chip1|present_state.Send_Stop_bit~25_combout\ # \ST~input_o\ & \Chip1|present_state.state_bit_3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \ST~input_o\,
	datac => \Chip1|present_state.state_bit_3~q\,
	datad => \Chip1|present_state.Send_Stop_bit~25_combout\,
	combout => \Chip1|present_state.state_bit_3~15_combout\);

\Chip1|present_state.state_bit_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_3~15_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_3~q\);

\Chip1|present_state.state_bit_0~198\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~198_combout\ = \Enable_TX~input_o\ & \ST~input_o\ & !\Chip1|present_state.state_bit_3~q\ & !\Chip1|present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Enable_TX~input_o\,
	datab => \ST~input_o\,
	datac => \Chip1|present_state.state_bit_3~q\,
	datad => \Chip1|present_state.state_bit_2~q\,
	combout => \Chip1|present_state.state_bit_0~198_combout\);

\Chip1|present_state.state_bit_0~199\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~199_combout\ = !\Chip1|present_state.state_bit_1~q\ & (\Chip1|present_state.state_bit_0~q\ & \Chip1|present_state.state_bit_0~197_combout\ # !\Chip1|present_state.state_bit_0~q\ & 
-- (\Chip1|present_state.state_bit_0~198_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_0~q\,
	datab => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip1|present_state.state_bit_0~197_combout\,
	datad => \Chip1|present_state.state_bit_0~198_combout\,
	combout => \Chip1|present_state.state_bit_0~199_combout\);

\Chip1|present_state.state_bit_0~200\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~200_combout\ = \Chip1|present_state.state_bit_0~199_combout\ # !\Chip1|present_state.state_bit_0~q\ & (\Chip1|present_state.state_bit_2~q\ # \Chip1|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_2~q\,
	datab => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip1|present_state.state_bit_0~q\,
	datad => \Chip1|present_state.state_bit_0~199_combout\,
	combout => \Chip1|present_state.state_bit_0~200_combout\);

\Chip1|present_state.state_bit_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_0~200_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_0~q\);

\Chip1|present_state.state_bit_2~71\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_2~71_combout\ = \Chip1|present_state.state_bit_2~q\ $ (\Chip1|present_state.state_bit_1~q\ & \Chip1|present_state.state_bit_0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip1|present_state.state_bit_2~71_combout\);

\Chip1|present_state.state_bit_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_2~71_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_2~q\);

\Chip1|present_state.state_bit_1~81\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_1~81_combout\ = \Chip1|present_state.state_bit_1~q\ & (!\Chip1|present_state.state_bit_0~q\) # !\Chip1|present_state.state_bit_1~q\ & \Chip1|present_state.state_bit_0~q\ & (\Chip1|present_state.state_bit_1~80_combout\ # 
-- !\Chip1|present_state.state_bit_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~80_combout\,
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip1|present_state.state_bit_1~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip1|present_state.state_bit_1~81_combout\);

\Chip1|present_state.state_bit_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_1~81_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_1~q\);

\Chip1|present_state.Send_Stop_bit~25\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.Send_Stop_bit~25_combout\ = \Chip1|present_state.state_bit_1~q\ & \Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip1|present_state.Send_Stop_bit~25_combout\);

\TX_IN[0]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(0),
	o => \TX_IN[0]~input_o\);

\Chip1|present_state.Load_Data_Reg~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.Load_Data_Reg~14_combout\ = !\Chip1|present_state.state_bit_1~q\ & !\Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip1|present_state.Load_Data_Reg~14_combout\);

\Chip2|Chip1|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[0]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(0));

\Chip1|present_state.Load_Shift_Reg~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.Load_Shift_Reg~14_combout\ = \Chip1|present_state.state_bit_1~q\ & !\Chip1|present_state.state_bit_2~q\ & !\Chip1|present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip1|present_state.Load_Shift_Reg~14_combout\);

\Chip2|Chip4|future_state[2]~495\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|future_state[2]~495_combout\ = \Chip1|present_state.Load_Shift_Reg~14_combout\ & (\Chip2|Chip1|present_state\(0)) # !\Chip1|present_state.Load_Shift_Reg~14_combout\ & \Chip2|Chip4|present_state\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip4|present_state\(3),
	datac => \Chip2|Chip1|present_state\(0),
	datad => \Chip1|present_state.Load_Shift_Reg~14_combout\,
	combout => \Chip2|Chip4|future_state[2]~495_combout\);

\Chip2|Chip4|present_state[2]~71\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|present_state[2]~71_combout\ = \Chip1|present_state.state_bit_2~q\ & !\Chip1|present_state.state_bit_1~q\ # !\Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_1~q\ & !\Chip1|present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip1|present_state.state_bit_1~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip2|Chip4|present_state[2]~71_combout\);

\Chip2|Chip4|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|future_state[2]~495_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|Chip4|present_state[2]~71_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(2));

\TX_IN[1]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(1),
	o => \TX_IN[1]~input_o\);

\Chip2|Chip1|present_state[1]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[1]~feeder_combout\ = \TX_IN[1]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[1]~input_o\,
	combout => \Chip2|Chip1|present_state[1]~feeder_combout\);

\Chip2|Chip1|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[1]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(1));

\TX_IN[3]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(3),
	o => \TX_IN[3]~input_o\);

\Chip2|Chip1|present_state[3]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[3]~feeder_combout\ = \TX_IN[3]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[3]~input_o\,
	combout => \Chip2|Chip1|present_state[3]~feeder_combout\);

\Chip2|Chip1|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[3]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.Load_Data_Reg~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(3));

\Chip2|Chip5|y~123\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|y~123_combout\ = \Chip2|Chip1|present_state\(2) $ \Chip2|Chip1|present_state\(1) $ \Chip2|Chip1|present_state\(0) $ \Chip2|Chip1|present_state\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(2),
	datab => \Chip2|Chip1|present_state\(1),
	datac => \Chip2|Chip1|present_state\(0),
	datad => \Chip2|Chip1|present_state\(3),
	combout => \Chip2|Chip5|y~123_combout\);

\Chip2|Chip5|y~125\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|y~125_combout\ = \Chip1|present_state.state_bit_0~q\ & (\Chip1|present_state.state_bit_2~q\) # !\Chip1|present_state.state_bit_0~q\ & (\Chip2|Chip5|y~124_combout\ $ !\Chip2|Chip5|y~123_combout\ # !\Chip1|present_state.state_bit_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001111010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip5|y~124_combout\,
	datab => \Chip1|present_state.state_bit_0~q\,
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip2|Chip5|y~123_combout\,
	combout => \Chip2|Chip5|y~125_combout\);

\Chip2|Chip5|y~126\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|y~126_combout\ = \Chip1|present_state.state_bit_1~q\ & (\Chip2|Chip5|y~125_combout\) # !\Chip1|present_state.state_bit_1~q\ & (\Chip2|Chip4|present_state\(2) # !\Chip1|present_state.state_bit_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111101000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datab => \Chip2|Chip4|present_state\(2),
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip2|Chip5|y~125_combout\,
	combout => \Chip2|Chip5|y~126_combout\);

ww_ET <= \ET~output_o\;

ww_Serial_out <= \Serial_out~output_o\;
END structure;


